#include "partition.h"
#include<bits/stdc++.h>
using namespace std;

const int MAX_N = 2e6, MAX_A = 3e7;
int times[MAX_A + 1];
int curtimes[MAX_A + 1];

std::vector<int> solve(std::vector<int> A) {
    vector<int> ans;
    int n = A.size();
    for(int i = 0; i < n / 2 - 1; i++) {
        ans.push_back(i);
    }
    ans.push_back(n-1);

    for(int i = n / 2 - 1; i < n - 1; ++i) {
        ans.push_back(i);
    }
    return ans;
}
